Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network134.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
134.0.0.0
Broadcast address
135.255.255.255
First usable
134.0.0.1
Last usable
135.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex 86000000 · Integer 2248146944 to 2281701375
Reverse DNS zones
134.in-addr.arpa
135.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000110.00000000.00000000.00000000134.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10000110.00000000.00000000.00000000134.0.0.0
Broadcast10000111.11111111.11111111.11111111135.255.255.255
Split into smaller subnets/16

134.0.0.0/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1134.0.0.0/16134.0.0.1 to 134.0.255.254134.0.255.25565,534
2134.1.0.0/16134.1.0.1 to 134.1.255.254134.1.255.25565,534
3134.2.0.0/16134.2.0.1 to 134.2.255.254134.2.255.25565,534
4134.3.0.0/16134.3.0.1 to 134.3.255.254134.3.255.25565,534
5134.4.0.0/16134.4.0.1 to 134.4.255.254134.4.255.25565,534
6134.5.0.0/16134.5.0.1 to 134.5.255.254134.5.255.25565,534
7134.6.0.0/16134.6.0.1 to 134.6.255.254134.6.255.25565,534
8134.7.0.0/16134.7.0.1 to 134.7.255.254134.7.255.25565,534
9134.8.0.0/16134.8.0.1 to 134.8.255.254134.8.255.25565,534
10134.9.0.0/16134.9.0.1 to 134.9.255.254134.9.255.25565,534
11134.10.0.0/16134.10.0.1 to 134.10.255.254134.10.255.25565,534
12134.11.0.0/16134.11.0.1 to 134.11.255.254134.11.255.25565,534
13134.12.0.0/16134.12.0.1 to 134.12.255.254134.12.255.25565,534
14134.13.0.0/16134.13.0.1 to 134.13.255.254134.13.255.25565,534
15134.14.0.0/16134.14.0.1 to 134.14.255.254134.14.255.25565,534
16134.15.0.0/16134.15.0.1 to 134.15.255.254134.15.255.25565,534
17134.16.0.0/16134.16.0.1 to 134.16.255.254134.16.255.25565,534
18134.17.0.0/16134.17.0.1 to 134.17.255.254134.17.255.25565,534
19134.18.0.0/16134.18.0.1 to 134.18.255.254134.18.255.25565,534
20134.19.0.0/16134.19.0.1 to 134.19.255.254134.19.255.25565,534
21134.20.0.0/16134.20.0.1 to 134.20.255.254134.20.255.25565,534
22134.21.0.0/16134.21.0.1 to 134.21.255.254134.21.255.25565,534
23134.22.0.0/16134.22.0.1 to 134.22.255.254134.22.255.25565,534
24134.23.0.0/16134.23.0.1 to 134.23.255.254134.23.255.25565,534
25134.24.0.0/16134.24.0.1 to 134.24.255.254134.24.255.25565,534
26134.25.0.0/16134.25.0.1 to 134.25.255.254134.25.255.25565,534
27134.26.0.0/16134.26.0.1 to 134.26.255.254134.26.255.25565,534
28134.27.0.0/16134.27.0.1 to 134.27.255.254134.27.255.25565,534
29134.28.0.0/16134.28.0.1 to 134.28.255.254134.28.255.25565,534
30134.29.0.0/16134.29.0.1 to 134.29.255.254134.29.255.25565,534
31134.30.0.0/16134.30.0.1 to 134.30.255.254134.30.255.25565,534
32134.31.0.0/16134.31.0.1 to 134.31.255.254134.31.255.25565,534
33134.32.0.0/16134.32.0.1 to 134.32.255.254134.32.255.25565,534
34134.33.0.0/16134.33.0.1 to 134.33.255.254134.33.255.25565,534
35134.34.0.0/16134.34.0.1 to 134.34.255.254134.34.255.25565,534
36134.35.0.0/16134.35.0.1 to 134.35.255.254134.35.255.25565,534
37134.36.0.0/16134.36.0.1 to 134.36.255.254134.36.255.25565,534
38134.37.0.0/16134.37.0.1 to 134.37.255.254134.37.255.25565,534
39134.38.0.0/16134.38.0.1 to 134.38.255.254134.38.255.25565,534
40134.39.0.0/16134.39.0.1 to 134.39.255.254134.39.255.25565,534
41134.40.0.0/16134.40.0.1 to 134.40.255.254134.40.255.25565,534
42134.41.0.0/16134.41.0.1 to 134.41.255.254134.41.255.25565,534
43134.42.0.0/16134.42.0.1 to 134.42.255.254134.42.255.25565,534
44134.43.0.0/16134.43.0.1 to 134.43.255.254134.43.255.25565,534
45134.44.0.0/16134.44.0.1 to 134.44.255.254134.44.255.25565,534
46134.45.0.0/16134.45.0.1 to 134.45.255.254134.45.255.25565,534
47134.46.0.0/16134.46.0.1 to 134.46.255.254134.46.255.25565,534
48134.47.0.0/16134.47.0.1 to 134.47.255.254134.47.255.25565,534
49134.48.0.0/16134.48.0.1 to 134.48.255.254134.48.255.25565,534
50134.49.0.0/16134.49.0.1 to 134.49.255.254134.49.255.25565,534
51134.50.0.0/16134.50.0.1 to 134.50.255.254134.50.255.25565,534
52134.51.0.0/16134.51.0.1 to 134.51.255.254134.51.255.25565,534
53134.52.0.0/16134.52.0.1 to 134.52.255.254134.52.255.25565,534
54134.53.0.0/16134.53.0.1 to 134.53.255.254134.53.255.25565,534
55134.54.0.0/16134.54.0.1 to 134.54.255.254134.54.255.25565,534
56134.55.0.0/16134.55.0.1 to 134.55.255.254134.55.255.25565,534
57134.56.0.0/16134.56.0.1 to 134.56.255.254134.56.255.25565,534
58134.57.0.0/16134.57.0.1 to 134.57.255.254134.57.255.25565,534
59134.58.0.0/16134.58.0.1 to 134.58.255.254134.58.255.25565,534
60134.59.0.0/16134.59.0.1 to 134.59.255.254134.59.255.25565,534
61134.60.0.0/16134.60.0.1 to 134.60.255.254134.60.255.25565,534
62134.61.0.0/16134.61.0.1 to 134.61.255.254134.61.255.25565,534
63134.62.0.0/16134.62.0.1 to 134.62.255.254134.62.255.25565,534
64134.63.0.0/16134.63.0.1 to 134.63.255.254134.63.255.25565,534
65134.64.0.0/16134.64.0.1 to 134.64.255.254134.64.255.25565,534
66134.65.0.0/16134.65.0.1 to 134.65.255.254134.65.255.25565,534
67134.66.0.0/16134.66.0.1 to 134.66.255.254134.66.255.25565,534
68134.67.0.0/16134.67.0.1 to 134.67.255.254134.67.255.25565,534
69134.68.0.0/16134.68.0.1 to 134.68.255.254134.68.255.25565,534
70134.69.0.0/16134.69.0.1 to 134.69.255.254134.69.255.25565,534
71134.70.0.0/16134.70.0.1 to 134.70.255.254134.70.255.25565,534
72134.71.0.0/16134.71.0.1 to 134.71.255.254134.71.255.25565,534
73134.72.0.0/16134.72.0.1 to 134.72.255.254134.72.255.25565,534
74134.73.0.0/16134.73.0.1 to 134.73.255.254134.73.255.25565,534
75134.74.0.0/16134.74.0.1 to 134.74.255.254134.74.255.25565,534
76134.75.0.0/16134.75.0.1 to 134.75.255.254134.75.255.25565,534
77134.76.0.0/16134.76.0.1 to 134.76.255.254134.76.255.25565,534
78134.77.0.0/16134.77.0.1 to 134.77.255.254134.77.255.25565,534
79134.78.0.0/16134.78.0.1 to 134.78.255.254134.78.255.25565,534
80134.79.0.0/16134.79.0.1 to 134.79.255.254134.79.255.25565,534
81134.80.0.0/16134.80.0.1 to 134.80.255.254134.80.255.25565,534
82134.81.0.0/16134.81.0.1 to 134.81.255.254134.81.255.25565,534
83134.82.0.0/16134.82.0.1 to 134.82.255.254134.82.255.25565,534
84134.83.0.0/16134.83.0.1 to 134.83.255.254134.83.255.25565,534
85134.84.0.0/16134.84.0.1 to 134.84.255.254134.84.255.25565,534
86134.85.0.0/16134.85.0.1 to 134.85.255.254134.85.255.25565,534
87134.86.0.0/16134.86.0.1 to 134.86.255.254134.86.255.25565,534
88134.87.0.0/16134.87.0.1 to 134.87.255.254134.87.255.25565,534
89134.88.0.0/16134.88.0.1 to 134.88.255.254134.88.255.25565,534
90134.89.0.0/16134.89.0.1 to 134.89.255.254134.89.255.25565,534
91134.90.0.0/16134.90.0.1 to 134.90.255.254134.90.255.25565,534
92134.91.0.0/16134.91.0.1 to 134.91.255.254134.91.255.25565,534
93134.92.0.0/16134.92.0.1 to 134.92.255.254134.92.255.25565,534
94134.93.0.0/16134.93.0.1 to 134.93.255.254134.93.255.25565,534
95134.94.0.0/16134.94.0.1 to 134.94.255.254134.94.255.25565,534
96134.95.0.0/16134.95.0.1 to 134.95.255.254134.95.255.25565,534
97134.96.0.0/16134.96.0.1 to 134.96.255.254134.96.255.25565,534
98134.97.0.0/16134.97.0.1 to 134.97.255.254134.97.255.25565,534
99134.98.0.0/16134.98.0.1 to 134.98.255.254134.98.255.25565,534
100134.99.0.0/16134.99.0.1 to 134.99.255.254134.99.255.25565,534
101134.100.0.0/16134.100.0.1 to 134.100.255.254134.100.255.25565,534
102134.101.0.0/16134.101.0.1 to 134.101.255.254134.101.255.25565,534
103134.102.0.0/16134.102.0.1 to 134.102.255.254134.102.255.25565,534
104134.103.0.0/16134.103.0.1 to 134.103.255.254134.103.255.25565,534
105134.104.0.0/16134.104.0.1 to 134.104.255.254134.104.255.25565,534
106134.105.0.0/16134.105.0.1 to 134.105.255.254134.105.255.25565,534
107134.106.0.0/16134.106.0.1 to 134.106.255.254134.106.255.25565,534
108134.107.0.0/16134.107.0.1 to 134.107.255.254134.107.255.25565,534
109134.108.0.0/16134.108.0.1 to 134.108.255.254134.108.255.25565,534
110134.109.0.0/16134.109.0.1 to 134.109.255.254134.109.255.25565,534
111134.110.0.0/16134.110.0.1 to 134.110.255.254134.110.255.25565,534
112134.111.0.0/16134.111.0.1 to 134.111.255.254134.111.255.25565,534
113134.112.0.0/16134.112.0.1 to 134.112.255.254134.112.255.25565,534
114134.113.0.0/16134.113.0.1 to 134.113.255.254134.113.255.25565,534
115134.114.0.0/16134.114.0.1 to 134.114.255.254134.114.255.25565,534
116134.115.0.0/16134.115.0.1 to 134.115.255.254134.115.255.25565,534
117134.116.0.0/16134.116.0.1 to 134.116.255.254134.116.255.25565,534
118134.117.0.0/16134.117.0.1 to 134.117.255.254134.117.255.25565,534
119134.118.0.0/16134.118.0.1 to 134.118.255.254134.118.255.25565,534
120134.119.0.0/16134.119.0.1 to 134.119.255.254134.119.255.25565,534
121134.120.0.0/16134.120.0.1 to 134.120.255.254134.120.255.25565,534
122134.121.0.0/16134.121.0.1 to 134.121.255.254134.121.255.25565,534
123134.122.0.0/16134.122.0.1 to 134.122.255.254134.122.255.25565,534
124134.123.0.0/16134.123.0.1 to 134.123.255.254134.123.255.25565,534
125134.124.0.0/16134.124.0.1 to 134.124.255.254134.124.255.25565,534
126134.125.0.0/16134.125.0.1 to 134.125.255.254134.125.255.25565,534
127134.126.0.0/16134.126.0.1 to 134.126.255.254134.126.255.25565,534
128134.127.0.0/16134.127.0.1 to 134.127.255.254134.127.255.25565,534
129134.128.0.0/16134.128.0.1 to 134.128.255.254134.128.255.25565,534
130134.129.0.0/16134.129.0.1 to 134.129.255.254134.129.255.25565,534
131134.130.0.0/16134.130.0.1 to 134.130.255.254134.130.255.25565,534
132134.131.0.0/16134.131.0.1 to 134.131.255.254134.131.255.25565,534
133134.132.0.0/16134.132.0.1 to 134.132.255.254134.132.255.25565,534
134134.133.0.0/16134.133.0.1 to 134.133.255.254134.133.255.25565,534
135134.134.0.0/16134.134.0.1 to 134.134.255.254134.134.255.25565,534
136134.135.0.0/16134.135.0.1 to 134.135.255.254134.135.255.25565,534
137134.136.0.0/16134.136.0.1 to 134.136.255.254134.136.255.25565,534
138134.137.0.0/16134.137.0.1 to 134.137.255.254134.137.255.25565,534
139134.138.0.0/16134.138.0.1 to 134.138.255.254134.138.255.25565,534
140134.139.0.0/16134.139.0.1 to 134.139.255.254134.139.255.25565,534
141134.140.0.0/16134.140.0.1 to 134.140.255.254134.140.255.25565,534
142134.141.0.0/16134.141.0.1 to 134.141.255.254134.141.255.25565,534
143134.142.0.0/16134.142.0.1 to 134.142.255.254134.142.255.25565,534
144134.143.0.0/16134.143.0.1 to 134.143.255.254134.143.255.25565,534
145134.144.0.0/16134.144.0.1 to 134.144.255.254134.144.255.25565,534
146134.145.0.0/16134.145.0.1 to 134.145.255.254134.145.255.25565,534
147134.146.0.0/16134.146.0.1 to 134.146.255.254134.146.255.25565,534
148134.147.0.0/16134.147.0.1 to 134.147.255.254134.147.255.25565,534
149134.148.0.0/16134.148.0.1 to 134.148.255.254134.148.255.25565,534
150134.149.0.0/16134.149.0.1 to 134.149.255.254134.149.255.25565,534
151134.150.0.0/16134.150.0.1 to 134.150.255.254134.150.255.25565,534
152134.151.0.0/16134.151.0.1 to 134.151.255.254134.151.255.25565,534
153134.152.0.0/16134.152.0.1 to 134.152.255.254134.152.255.25565,534
154134.153.0.0/16134.153.0.1 to 134.153.255.254134.153.255.25565,534
155134.154.0.0/16134.154.0.1 to 134.154.255.254134.154.255.25565,534
156134.155.0.0/16134.155.0.1 to 134.155.255.254134.155.255.25565,534
157134.156.0.0/16134.156.0.1 to 134.156.255.254134.156.255.25565,534
158134.157.0.0/16134.157.0.1 to 134.157.255.254134.157.255.25565,534
159134.158.0.0/16134.158.0.1 to 134.158.255.254134.158.255.25565,534
160134.159.0.0/16134.159.0.1 to 134.159.255.254134.159.255.25565,534
161134.160.0.0/16134.160.0.1 to 134.160.255.254134.160.255.25565,534
162134.161.0.0/16134.161.0.1 to 134.161.255.254134.161.255.25565,534
163134.162.0.0/16134.162.0.1 to 134.162.255.254134.162.255.25565,534
164134.163.0.0/16134.163.0.1 to 134.163.255.254134.163.255.25565,534
165134.164.0.0/16134.164.0.1 to 134.164.255.254134.164.255.25565,534
166134.165.0.0/16134.165.0.1 to 134.165.255.254134.165.255.25565,534
167134.166.0.0/16134.166.0.1 to 134.166.255.254134.166.255.25565,534
168134.167.0.0/16134.167.0.1 to 134.167.255.254134.167.255.25565,534
169134.168.0.0/16134.168.0.1 to 134.168.255.254134.168.255.25565,534
170134.169.0.0/16134.169.0.1 to 134.169.255.254134.169.255.25565,534
171134.170.0.0/16134.170.0.1 to 134.170.255.254134.170.255.25565,534
172134.171.0.0/16134.171.0.1 to 134.171.255.254134.171.255.25565,534
173134.172.0.0/16134.172.0.1 to 134.172.255.254134.172.255.25565,534
174134.173.0.0/16134.173.0.1 to 134.173.255.254134.173.255.25565,534
175134.174.0.0/16134.174.0.1 to 134.174.255.254134.174.255.25565,534
176134.175.0.0/16134.175.0.1 to 134.175.255.254134.175.255.25565,534
177134.176.0.0/16134.176.0.1 to 134.176.255.254134.176.255.25565,534
178134.177.0.0/16134.177.0.1 to 134.177.255.254134.177.255.25565,534
179134.178.0.0/16134.178.0.1 to 134.178.255.254134.178.255.25565,534
180134.179.0.0/16134.179.0.1 to 134.179.255.254134.179.255.25565,534
181134.180.0.0/16134.180.0.1 to 134.180.255.254134.180.255.25565,534
182134.181.0.0/16134.181.0.1 to 134.181.255.254134.181.255.25565,534
183134.182.0.0/16134.182.0.1 to 134.182.255.254134.182.255.25565,534
184134.183.0.0/16134.183.0.1 to 134.183.255.254134.183.255.25565,534
185134.184.0.0/16134.184.0.1 to 134.184.255.254134.184.255.25565,534
186134.185.0.0/16134.185.0.1 to 134.185.255.254134.185.255.25565,534
187134.186.0.0/16134.186.0.1 to 134.186.255.254134.186.255.25565,534
188134.187.0.0/16134.187.0.1 to 134.187.255.254134.187.255.25565,534
189134.188.0.0/16134.188.0.1 to 134.188.255.254134.188.255.25565,534
190134.189.0.0/16134.189.0.1 to 134.189.255.254134.189.255.25565,534
191134.190.0.0/16134.190.0.1 to 134.190.255.254134.190.255.25565,534
192134.191.0.0/16134.191.0.1 to 134.191.255.254134.191.255.25565,534
193134.192.0.0/16134.192.0.1 to 134.192.255.254134.192.255.25565,534
194134.193.0.0/16134.193.0.1 to 134.193.255.254134.193.255.25565,534
195134.194.0.0/16134.194.0.1 to 134.194.255.254134.194.255.25565,534
196134.195.0.0/16134.195.0.1 to 134.195.255.254134.195.255.25565,534
197134.196.0.0/16134.196.0.1 to 134.196.255.254134.196.255.25565,534
198134.197.0.0/16134.197.0.1 to 134.197.255.254134.197.255.25565,534
199134.198.0.0/16134.198.0.1 to 134.198.255.254134.198.255.25565,534
200134.199.0.0/16134.199.0.1 to 134.199.255.254134.199.255.25565,534
201134.200.0.0/16134.200.0.1 to 134.200.255.254134.200.255.25565,534
202134.201.0.0/16134.201.0.1 to 134.201.255.254134.201.255.25565,534
203134.202.0.0/16134.202.0.1 to 134.202.255.254134.202.255.25565,534
204134.203.0.0/16134.203.0.1 to 134.203.255.254134.203.255.25565,534
205134.204.0.0/16134.204.0.1 to 134.204.255.254134.204.255.25565,534
206134.205.0.0/16134.205.0.1 to 134.205.255.254134.205.255.25565,534
207134.206.0.0/16134.206.0.1 to 134.206.255.254134.206.255.25565,534
208134.207.0.0/16134.207.0.1 to 134.207.255.254134.207.255.25565,534
209134.208.0.0/16134.208.0.1 to 134.208.255.254134.208.255.25565,534
210134.209.0.0/16134.209.0.1 to 134.209.255.254134.209.255.25565,534
211134.210.0.0/16134.210.0.1 to 134.210.255.254134.210.255.25565,534
212134.211.0.0/16134.211.0.1 to 134.211.255.254134.211.255.25565,534
213134.212.0.0/16134.212.0.1 to 134.212.255.254134.212.255.25565,534
214134.213.0.0/16134.213.0.1 to 134.213.255.254134.213.255.25565,534
215134.214.0.0/16134.214.0.1 to 134.214.255.254134.214.255.25565,534
216134.215.0.0/16134.215.0.1 to 134.215.255.254134.215.255.25565,534
217134.216.0.0/16134.216.0.1 to 134.216.255.254134.216.255.25565,534
218134.217.0.0/16134.217.0.1 to 134.217.255.254134.217.255.25565,534
219134.218.0.0/16134.218.0.1 to 134.218.255.254134.218.255.25565,534
220134.219.0.0/16134.219.0.1 to 134.219.255.254134.219.255.25565,534
221134.220.0.0/16134.220.0.1 to 134.220.255.254134.220.255.25565,534
222134.221.0.0/16134.221.0.1 to 134.221.255.254134.221.255.25565,534
223134.222.0.0/16134.222.0.1 to 134.222.255.254134.222.255.25565,534
224134.223.0.0/16134.223.0.1 to 134.223.255.254134.223.255.25565,534
225134.224.0.0/16134.224.0.1 to 134.224.255.254134.224.255.25565,534
226134.225.0.0/16134.225.0.1 to 134.225.255.254134.225.255.25565,534
227134.226.0.0/16134.226.0.1 to 134.226.255.254134.226.255.25565,534
228134.227.0.0/16134.227.0.1 to 134.227.255.254134.227.255.25565,534
229134.228.0.0/16134.228.0.1 to 134.228.255.254134.228.255.25565,534
230134.229.0.0/16134.229.0.1 to 134.229.255.254134.229.255.25565,534
231134.230.0.0/16134.230.0.1 to 134.230.255.254134.230.255.25565,534
232134.231.0.0/16134.231.0.1 to 134.231.255.254134.231.255.25565,534
233134.232.0.0/16134.232.0.1 to 134.232.255.254134.232.255.25565,534
234134.233.0.0/16134.233.0.1 to 134.233.255.254134.233.255.25565,534
235134.234.0.0/16134.234.0.1 to 134.234.255.254134.234.255.25565,534
236134.235.0.0/16134.235.0.1 to 134.235.255.254134.235.255.25565,534
237134.236.0.0/16134.236.0.1 to 134.236.255.254134.236.255.25565,534
238134.237.0.0/16134.237.0.1 to 134.237.255.254134.237.255.25565,534
239134.238.0.0/16134.238.0.1 to 134.238.255.254134.238.255.25565,534
240134.239.0.0/16134.239.0.1 to 134.239.255.254134.239.255.25565,534
241134.240.0.0/16134.240.0.1 to 134.240.255.254134.240.255.25565,534
242134.241.0.0/16134.241.0.1 to 134.241.255.254134.241.255.25565,534
243134.242.0.0/16134.242.0.1 to 134.242.255.254134.242.255.25565,534
244134.243.0.0/16134.243.0.1 to 134.243.255.254134.243.255.25565,534
245134.244.0.0/16134.244.0.1 to 134.244.255.254134.244.255.25565,534
246134.245.0.0/16134.245.0.1 to 134.245.255.254134.245.255.25565,534
247134.246.0.0/16134.246.0.1 to 134.246.255.254134.246.255.25565,534
248134.247.0.0/16134.247.0.1 to 134.247.255.254134.247.255.25565,534
249134.248.0.0/16134.248.0.1 to 134.248.255.254134.248.255.25565,534
250134.249.0.0/16134.249.0.1 to 134.249.255.254134.249.255.25565,534
251134.250.0.0/16134.250.0.1 to 134.250.255.254134.250.255.25565,534
252134.251.0.0/16134.251.0.1 to 134.251.255.254134.251.255.25565,534
253134.252.0.0/16134.252.0.1 to 134.252.255.254134.252.255.25565,534
254134.253.0.0/16134.253.0.1 to 134.253.255.254134.253.255.25565,534
255134.254.0.0/16134.254.0.1 to 134.254.255.254134.254.255.25565,534
256134.255.0.0/16134.255.0.1 to 134.255.255.254134.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses